wibble::exception::Consistency Class Reference

Exception thrown when some consistency check fails. More...

`#include <exception.h>`

Inheritance diagram for wibble::exception::Consistency:
[legend]
Collaboration diagram for wibble::exception::Consistency:
[legend]

## Public Member Functions

| Consistency (const std::string &context, const std::string &error=std::string()) throw ()
| ~Consistency () throw ()
virtual const char * | type () const throw ()
| Get a string tag identifying the exception type. More...
virtual std::string | desc () const throw ()
| Get a string describing what happened that threw the exception. More...
Public Member Functions inherited from wibble::exception::Generic
| Generic () throw ()
| Generic (const std::string &context) throw ()
virtual | ~Generic () throw ()
virtual const std::string & | fullInfo () const throw ()
| Format in a string all available information about the exception. More...
virtual const char * | what () const throw ()
Public Member Functions inherited from wibble::exception::Context
| Context () throw ()
| Context (const std::string &context) throw ()
void | addContext (const std::string &c) throw ()
std::string | formatContext () const throw ()
const std::vector< std::string > & | context () const throw ()

## Additional Inherited Members

Protected Attributes inherited from wibble::exception::Generic
std::string | m_formatted
Protected Attributes inherited from wibble::exception::Context
std::vector< std::string > | m_context

## Detailed Description

Exception thrown when some consistency check fails.

It is a direct child of ContextException, and has the very same semantics.

## Constructor & Destructor Documentation

## Consistency()

wibble::exception::Consistency::Consistency | ( | const std::string & | context,
|  | const std::string & | error = `std::string()`
| ) |  |
throw | ( |
| ) |  |

inline

## ~Consistency()

wibble::exception::Consistency::~Consistency | ( |  | ) |
throw | ( |
| ) |  |

inline

## Member Function Documentation

## desc()

virtual std::string wibble::exception::Consistency::desc | ( |  | ) | const
throw | ( |
| ) |  |

inline virtual

Get a string describing what happened that threw the exception.

Reimplemented from wibble::exception::Generic.

Reimplemented in wibble::exception::ValOutOfRange< C >, wibble::exception::OutOfRange, wibble::exception::BadCast, and wibble::exception::BadOption.

## type()

virtual const char* wibble::exception::Consistency::type | ( |  | ) | const
throw | ( |
| ) |  |

inline virtual

Get a string tag identifying the exception type.

Reimplemented from wibble::exception::Generic.

Reimplemented in wibble::exception::ValOutOfRange< C >, wibble::exception::OutOfRange, and wibble::exception::BadOption.

The documentation for this class was generated from the following file:

- exception.h